Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Druckseite aufteilen mittels Tiling

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Die Gewinne der Zukunft werden mit intelligenten, autonomen Elektrofahrzeugen eingefahren. (3DEXPERIENCE)
Autor Thema:  Druckseite aufteilen mittels Tiling (208 mal gelesen)
Lionel Hutz
Mitglied



Sehen Sie sich das Profil von Lionel Hutz an!   Senden Sie eine Private Message an Lionel Hutz  Schreiben Sie einen Gästebucheintrag für Lionel Hutz

Beiträge: 284
Registriert: 26.03.2014

CATIA V5 R20

erstellt am: 06. Nov. 2021 17:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
ich habe ein großes Blatt, das ich gerne auf vielen kleinen Blättern verteilt ausdrucken möchte.
Manuell geht das im Druckmenü über die Option Tiling, wo Anzahl der Blätter und Ausrichtung etc. definiert werden.
Kann man da auch per Makro drauf zugreifen?

Oder als Alternative: Kann man den Druckbereich per Makro definieren, sodass der Druck der einzelnen Kacheln über eine Schleife abgewickelt werden kann?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 11492
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 06. Nov. 2021 20:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lionel Hutz 10 Unities + Antwort hilfreich

Servus Lionel

Direkt geht das wohl nicht.
Unter DrawingSheet.PrintArea kannst du den Druckbereich definieren und so vermutlich die Aufteilung selbst coden.

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lionel Hutz
Mitglied



Sehen Sie sich das Profil von Lionel Hutz an!   Senden Sie eine Private Message an Lionel Hutz  Schreiben Sie einen Gästebucheintrag für Lionel Hutz

Beiträge: 284
Registriert: 26.03.2014

CATIA V5 R20

erstellt am: 08. Nov. 2021 21:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich habe nach PrintArea gesucht und das Makro von Dassault gefunden, in dem der Druckbereich per Maus festgelegt und angezeigt wird.
Das habe ich angepasst und kriege einen Druckbereich angezeigt, den ich per mm-Angaben definiert habe.
Nur mit dem Drucken klappt es noch nicht.
Code:
oSheet.PrintOut 'Druckt das gesamte Blatt
'oPrintArea.PrintOut 'gibt eine Fehlermeldung aus "Objekt unterstützt Eigenschaft oder Methode nicht."


Der gesamte Code:
Code:
Sub CATMain()

' Retrieve the active document
Dim oDocument As Document
Set oDocument = CATIA.ActiveDocument

' Test the document's type, if it is not a drawing document the macro stops
If TypeName(oDocument) = "DrawingDocument" Then
    Dim oDrawingDocument As DrawingDocument
    Set oDrawingDocument = oDocument
Else
    MsgBox "This macro can be run with a drawing document only."
    Exit Sub
End If

' Retrieve the active sheet of the document
Dim oSheet As DrawingSheet
Set oSheet = oDrawingDocument.Sheets.ActiveSheet

' Retrieve the selection of the document
Dim oSelection 'As Selection
Set oSelection = oDrawingDocument.Selection
' Clear the selection
oSelection.Clear

' Define the coordinates of the print area's point
Dim XPrintArea As Double
Dim YPrintArea As Double
Dim WidthPrintArea As Double
Dim HeightPrintArea As Double

XPrintArea = 10
YPrintArea = 10


' Define the width and height of the print area
WidthPrintArea = 291
HeightPrintArea = 210

' Define and activate the print area of the drawing document
Dim oPrintArea As PrintArea
Set oPrintArea = oSheet.PrintArea

oPrintArea.SetArea XPrintArea, YPrintArea, WidthPrintArea, HeightPrintArea
oPrintArea.ActivationState = True

' Run the "Visualize Print Area" command from its id, the sheet must be selected before !
oSelection.Add oSheet
CATIA.StartCommand "CATDrwVisualizePrintAreaHdr"
oSelection.Clear

    CATIA.ActivePrinter = CATIA.Printers.Item("Microsoft Print to PDF")
oSheet.PrintOut 'Druckt das gesamte Blatt
'oPrintArea.PrintOut 'gibt eine Fehlermeldung aus.

End Sub


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lionel Hutz
Mitglied



Sehen Sie sich das Profil von Lionel Hutz an!   Senden Sie eine Private Message an Lionel Hutz  Schreiben Sie einen Gästebucheintrag für Lionel Hutz

Beiträge: 284
Registriert: 26.03.2014

CATIA V5 R20

erstellt am: 09. Nov. 2021 07:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich habe einen Geistesblitz.
Catia fehlen die Infos aus dem Druckmenü (Blattgröße, Ausrichtung, Skalierung etc.).
Da muss ich noch ein Beispiel suchen, wie man von Whole Document auf Selection wechselt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 11492
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 09. Nov. 2021 07:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lionel Hutz 10 Unities + Antwort hilfreich

Servus Lionel

Den Druckbereich einzustellen ist wohl nur die halbe Miete. Ich hab leider nicht gefunden wie man per Makro angibt dass nur der Druckbereich ausgegeben werden soll.
Alternativ geht es über das PageSetup die Position und den Zoom festzulegen.
Beispiel:

Code:
Sub CATMain()

Dim oDocument As Document
Dim oSheet As DrawingSheet
Dim oPageSetup as PageSetup
Dim iRows as Integer
Dim iColumns as Integer

Set oDocument = CATIA.ActiveDocument

If TypeName(oDocument) = "DrawingDocument" Then
    Dim oDrawingDocument As DrawingDocument
    Set oDrawingDocument = oDocument
Else
    MsgBox "This macro can be run with a drawing document only."
    Exit Sub
End If

'Blatt und Drucker einstellen
Set oSheet = oDrawingDocument.Sheets.ActiveSheet
Set oPageSetup = oSheet.PageSetup

oPageSetup.ChooseBestOrientation = false
oPageSetup.FitToPrinterFormat = false
oPageSetup.FitToSheetFormat = false

oPageSetup.Orientation = catPaperPortrait
oPageSetup.PaperSize = catPaperA4
oPageSetup.TopMargin = 10
oPageSetup.LeftMargin = 10
oPageSetup.RightMargin = 10
oPageSetup.BottomMargin = 10
oPageSetup.Zoom = 100 'Angabe in % ??

CATIA.ActivePrinter = CATIA.Printers.Item("Microsoft Print to PDF")

'Anzahl berechnen
iRows = CInt(oSheet.GetPaperWidth / 190) + 1
iColumns = CInt(oSheet.GetPaperHeight / 277) + 1

'Drucken
for i = 1 To iRows
    oPageSetup.Left = (i - 1) * -190
    for j = 1 To iColumns
        oPageSetup.Bottom = (j - 1) * -277
        oSheet.PrintOut
    Next
Next

End Sub


Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz